EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_DELETE_REQUEST =
   EFL_EVENT_DESCRIPTION("delete,request");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_WITHDRAWN =
   EFL_EVENT_DESCRIPTION("withdrawn");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_MINIMIZED =
   EFL_EVENT_DESCRIPTION("minimized");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_NORMAL =
   EFL_EVENT_DESCRIPTION("normal");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_STICK =
   EFL_EVENT_DESCRIPTION("stick");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_UNSTICK =
   EFL_EVENT_DESCRIPTION("unstick");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_FULLSCREEN_CHANGED =
   EFL_EVENT_DESCRIPTION("fullscreen,changed");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_MAXIMIZED_CHANGED =
   EFL_EVENT_DESCRIPTION("maximized,changed");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_INDICATOR_PROP_CHANGED =
   EFL_EVENT_DESCRIPTION("indicator,prop,changed");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_WIN_ROTATION_CHANGED =
   EFL_EVENT_DESCRIPTION("win_rotation,changed");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_PROFILE_CHANGED =
   EFL_EVENT_DESCRIPTION("profile,changed");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_WM_ROTATION_CHANGED =
   EFL_EVENT_DESCRIPTION("wm,rotation,changed");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_THEME_CHANGED =
   EFL_EVENT_DESCRIPTION("theme,changed");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_ELM_ACTION_BLOCK_MENU =
   EFL_EVENT_DESCRIPTION("elm,action,block_menu");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_PAUSE =
   EFL_EVENT_DESCRIPTION("pause");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIN_EVENT_RESUME =
   EFL_EVENT_DESCRIPTION("resume");

void _efl_ui_win_indicator_mode_set(Eo *obj, Efl_Ui_Win_Data *pd, Efl_Ui_Win_Indicator_Mode type);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_indicator_mode_set, EFL_FUNC_CALL(type), Efl_Ui_Win_Indicator_Mode type);

Efl_Ui_Win_Indicator_Mode _efl_ui_win_indicator_mode_get(const Eo *obj, Efl_Ui_Win_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_indicator_mode_get, Efl_Ui_Win_Indicator_Mode, 0);

void _efl_ui_win_keyboard_mode_set(Eo *obj, Efl_Ui_Win_Data *pd, Efl_Ui_Win_Keyboard_Mode mode);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_keyboard_mode_set, EFL_FUNC_CALL(mode), Efl_Ui_Win_Keyboard_Mode mode);

Efl_Ui_Win_Keyboard_Mode _efl_ui_win_keyboard_mode_get(const Eo *obj, Efl_Ui_Win_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_keyboard_mode_get, Efl_Ui_Win_Keyboard_Mode, 0);

void _efl_ui_win_wm_available_rotations_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool allow_0, Eina_Bool allow_90, Eina_Bool allow_180, Eina_Bool allow_270);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_wm_available_rotations_set, EFL_FUNC_CALL(allow_0, allow_90, allow_180, allow_270), Eina_Bool allow_0, Eina_Bool allow_90, Eina_Bool allow_180, Eina_Bool allow_270);

Eina_Bool _efl_ui_win_wm_available_rotations_get(const Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool *allow_0, Eina_Bool *allow_90, Eina_Bool *allow_180, Eina_Bool *allow_270);

EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_ui_win_wm_available_rotations_get, Eina_Bool, 0, EFL_FUNC_CALL(allow_0, allow_90, allow_180, allow_270), Eina_Bool *allow_0, Eina_Bool *allow_90, Eina_Bool *allow_180, Eina_Bool *allow_270);

void _efl_ui_win_wm_available_profiles_set(Eo *obj, Efl_Ui_Win_Data *pd, const Eina_Array *profiles);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_wm_available_profiles_set, EFL_FUNC_CALL(profiles), const Eina_Array *profiles);

const Eina_Array *_efl_ui_win_wm_available_profiles_get(const Eo *obj, Efl_Ui_Win_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_wm_available_profiles_get, const Eina_Array *, NULL);

void _efl_ui_win_screen_constrain_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool constrain);


static Eina_Error
__eolian_efl_ui_win_screen_constrain_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_screen_constrain_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_screen_constrain_set, EFL_FUNC_CALL(constrain), Eina_Bool constrain);

Eina_Bool _efl_ui_win_screen_constrain_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_screen_constrain_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_win_screen_constrain_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_screen_constrain_get, Eina_Bool, 0);

void _efl_ui_win_prop_focus_skip_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool skip);


static Eina_Error
__eolian_efl_ui_win_prop_focus_skip_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_prop_focus_skip_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_prop_focus_skip_set, EFL_FUNC_CALL(skip), Eina_Bool skip);

void _efl_ui_win_autohide_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool autohide);


static Eina_Error
__eolian_efl_ui_win_autohide_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_autohide_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_autohide_set, EFL_FUNC_CALL(autohide), Eina_Bool autohide);

Eina_Bool _efl_ui_win_autohide_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_autohide_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_win_autohide_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_autohide_get, Eina_Bool, 0);

void _efl_ui_win_exit_on_close_set(Eo *obj, Efl_Ui_Win_Data *pd, const Eina_Value *exit_code);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_exit_on_close_set, EFL_FUNC_CALL(exit_code), const Eina_Value *exit_code);

const Eina_Value *_efl_ui_win_exit_on_close_get(const Eo *obj, Efl_Ui_Win_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_exit_on_close_get, const Eina_Value *, NULL);

void _efl_ui_win_icon_object_set(Eo *obj, Efl_Ui_Win_Data *pd, Efl_Canvas_Object *icon);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_icon_object_set, EFL_FUNC_CALL(icon), Efl_Canvas_Object *icon);

const Efl_Canvas_Object *_efl_ui_win_icon_object_get(const Eo *obj, Efl_Ui_Win_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_icon_object_get, const Efl_Canvas_Object *, NULL);

void _efl_ui_win_minimized_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool state);


static Eina_Error
__eolian_efl_ui_win_minimized_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_minimized_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_minimized_set, EFL_FUNC_CALL(state), Eina_Bool state);

Eina_Bool _efl_ui_win_minimized_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_minimized_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_win_minimized_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_minimized_get, Eina_Bool, 0);

void _efl_ui_win_maximized_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool maximized);


static Eina_Error
__eolian_efl_ui_win_maximized_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_maximized_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_maximized_set, EFL_FUNC_CALL(maximized), Eina_Bool maximized);

Eina_Bool _efl_ui_win_maximized_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_maximized_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_win_maximized_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_maximized_get, Eina_Bool, 0);

void _efl_ui_win_fullscreen_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool fullscreen);


static Eina_Error
__eolian_efl_ui_win_fullscreen_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_fullscreen_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_fullscreen_set, EFL_FUNC_CALL(fullscreen), Eina_Bool fullscreen);

Eina_Bool _efl_ui_win_fullscreen_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_fullscreen_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_win_fullscreen_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_fullscreen_get, Eina_Bool, 0);

void _efl_ui_win_sticky_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool sticky);


static Eina_Error
__eolian_efl_ui_win_sticky_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_sticky_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_sticky_set, EFL_FUNC_CALL(sticky), Eina_Bool sticky);

Eina_Bool _efl_ui_win_sticky_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_sticky_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_win_sticky_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_sticky_get, Eina_Bool, 0);

void _efl_ui_win_urgent_set(Eo *obj, Efl_Ui_Win_Data *pd, Efl_Ui_Win_Urgent_Mode urgent);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_urgent_set, EFL_FUNC_CALL(urgent), Efl_Ui_Win_Urgent_Mode urgent);

Efl_Ui_Win_Urgent_Mode _efl_ui_win_urgent_get(const Eo *obj, Efl_Ui_Win_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_urgent_get, Efl_Ui_Win_Urgent_Mode, 0);

void _efl_ui_win_modal_set(Eo *obj, Efl_Ui_Win_Data *pd, Efl_Ui_Win_Modal_Mode modal);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_modal_set, EFL_FUNC_CALL(modal), Efl_Ui_Win_Modal_Mode modal);

Efl_Ui_Win_Modal_Mode _efl_ui_win_modal_get(const Eo *obj, Efl_Ui_Win_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_modal_get, Efl_Ui_Win_Modal_Mode, 0);

void _efl_ui_win_borderless_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool borderless);


static Eina_Error
__eolian_efl_ui_win_borderless_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_borderless_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_borderless_set, EFL_FUNC_CALL(borderless), Eina_Bool borderless);

Eina_Bool _efl_ui_win_borderless_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_borderless_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_win_borderless_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_borderless_get, Eina_Bool, 0);

void _efl_ui_win_win_role_set(Eo *obj, Efl_Ui_Win_Data *pd, const char *role);


static Eina_Error
__eolian_efl_ui_win_win_role_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_role_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_role_set, EFL_FUNC_CALL(role), const char *role);

const char *_efl_ui_win_win_role_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_win_role_get_reflect(const Eo *obj)
{
   const char *val = efl_ui_win_role_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_role_get, const char *, NULL);

void _efl_ui_win_win_name_set(Eo *obj, Efl_Ui_Win_Data *pd, const char *name);


static Eina_Error
__eolian_efl_ui_win_win_name_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_name_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_name_set, EFL_FUNC_CALL(name), const char *name);

const char *_efl_ui_win_win_name_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_win_name_get_reflect(const Eo *obj)
{
   const char *val = efl_ui_win_name_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_name_get, const char *, NULL);

void _efl_ui_win_win_type_set(Eo *obj, Efl_Ui_Win_Data *pd, Efl_Ui_Win_Type type);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_type_set, EFL_FUNC_CALL(type), Efl_Ui_Win_Type type);

Efl_Ui_Win_Type _efl_ui_win_win_type_get(const Eo *obj, Efl_Ui_Win_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_type_get, Efl_Ui_Win_Type, 0 /* Efl.Ui.Win_Type.basic */);

void _efl_ui_win_accel_preference_set(Eo *obj, Efl_Ui_Win_Data *pd, const char *accel);


static Eina_Error
__eolian_efl_ui_win_accel_preference_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_accel_preference_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_accel_preference_set, EFL_FUNC_CALL(accel), const char *accel);

const char *_efl_ui_win_accel_preference_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_accel_preference_get_reflect(const Eo *obj)
{
   const char *val = efl_ui_win_accel_preference_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_accel_preference_get, const char *, NULL);

void _efl_ui_win_alpha_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool alpha);


static Eina_Error
__eolian_efl_ui_win_alpha_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_alpha_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_alpha_set, EFL_FUNC_CALL(alpha), Eina_Bool alpha);

Eina_Bool _efl_ui_win_alpha_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_alpha_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_win_alpha_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_alpha_get, Eina_Bool, 0);

const char *_efl_ui_win_stack_id_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_stack_id_get_reflect(const Eo *obj)
{
   const char *val = efl_ui_win_stack_id_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_stack_id_get, const char *, NULL);

void _efl_ui_win_stack_master_id_set(Eo *obj, Efl_Ui_Win_Data *pd, const char *id);


static Eina_Error
__eolian_efl_ui_win_stack_master_id_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_stack_master_id_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_stack_master_id_set, EFL_FUNC_CALL(id), const char *id);

const char *_efl_ui_win_stack_master_id_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_stack_master_id_get_reflect(const Eo *obj)
{
   const char *val = efl_ui_win_stack_master_id_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_stack_master_id_get, const char *, NULL);

void _efl_ui_win_stack_base_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool base);


static Eina_Error
__eolian_efl_ui_win_stack_base_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_stack_base_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_stack_base_set, EFL_FUNC_CALL(base), Eina_Bool base);

Eina_Bool _efl_ui_win_stack_base_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_stack_base_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_win_stack_base_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_stack_base_get, Eina_Bool, 0);

void _efl_ui_win_stack_pop_to(Eo *obj, Efl_Ui_Win_Data *pd);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODY(efl_ui_win_stack_pop_to);

void _efl_ui_win_exit_on_all_windows_closed_set(const Eina_Value *exit_code);

EAPI EAPI_WEAK void efl_ui_win_exit_on_all_windows_closed_set(const Eina_Value *exit_code)
{
   const Efl_Class *klass = efl_ui_win_class_get();
   EINA_SAFETY_ON_NULL_RETURN(klass);
   _efl_ui_win_exit_on_all_windows_closed_set(exit_code);
}

const Eina_Value *_efl_ui_win_exit_on_all_windows_closed_get(void);

EAPI EAPI_WEAK const Eina_Value * efl_ui_win_exit_on_all_windows_closed_get(void)
{
   const Efl_Class *klass = efl_ui_win_class_get();
   EINA_SAFETY_ON_NULL_RETURN_VAL(klass,NULL);
   return _efl_ui_win_exit_on_all_windows_closed_get();
}

void _efl_ui_win_activate(Eo *obj, Efl_Ui_Win_Data *pd);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODY(efl_ui_win_activate);

void _efl_ui_win_center(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool h, Eina_Bool v);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_center, EFL_FUNC_CALL(h, v), Eina_Bool h, Eina_Bool v);

Eina_Bool _efl_ui_win_move_resize_start(Eo *obj, Efl_Ui_Win_Data *pd, Efl_Ui_Win_Move_Resize_Mode mode);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_win_move_resize_start, Eina_Bool, 0, EFL_FUNC_CALL(mode), Efl_Ui_Win_Move_Resize_Mode mode);

void _efl_ui_win_hint_base_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Size2D sz);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_hint_base_set, EFL_FUNC_CALL(sz), Eina_Size2D sz);

Eina_Size2D _efl_ui_win_hint_base_get(const Eo *obj, Efl_Ui_Win_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_hint_base_get, Eina_Size2D, ((Eina_Size2D){0}));

void _efl_ui_win_hint_step_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Size2D sz);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_hint_step_set, EFL_FUNC_CALL(sz), Eina_Size2D sz);

Eina_Size2D _efl_ui_win_hint_step_get(const Eo *obj, Efl_Ui_Win_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_hint_step_get, Eina_Size2D, ((Eina_Size2D){0}));

Eina_Iterator *_efl_ui_win_pointer_iterate(const Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool hover);

EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_ui_win_pointer_iterate, Eina_Iterator *, NULL, EFL_FUNC_CALL(hover), Eina_Bool hover);

void _efl_ui_win_win_rotation_set(Eo *obj, Efl_Ui_Win_Data *pd, int rotation);


static Eina_Error
__eolian_efl_ui_win_win_rotation_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   int cval;
   if (!eina_value_int_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_rotation_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_rotation_set, EFL_FUNC_CALL(rotation), int rotation);

int _efl_ui_win_win_rotation_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_win_rotation_get_reflect(const Eo *obj)
{
   int val = efl_ui_win_rotation_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_rotation_get, int, 0);

void _efl_ui_win_focus_highlight_enabled_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool enabled);


static Eina_Error
__eolian_efl_ui_win_focus_highlight_enabled_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_focus_highlight_enabled_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_focus_highlight_enabled_set, EFL_FUNC_CALL(enabled), Eina_Bool enabled);

Eina_Bool _efl_ui_win_focus_highlight_enabled_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_focus_highlight_enabled_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_win_focus_highlight_enabled_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_focus_highlight_enabled_get, Eina_Bool, 0);

Eina_Bool _efl_ui_win_focus_highlight_style_set(Eo *obj, Efl_Ui_Win_Data *pd, const char *style);


static Eina_Error
__eolian_efl_ui_win_focus_highlight_style_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_focus_highlight_style_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_win_focus_highlight_style_set, Eina_Bool, 0, EFL_FUNC_CALL(style), const char *style);

const char *_efl_ui_win_focus_highlight_style_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_focus_highlight_style_get_reflect(const Eo *obj)
{
   const char *val = efl_ui_win_focus_highlight_style_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_focus_highlight_style_get, const char *, NULL);

void _efl_ui_win_focus_highlight_animate_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool animate);


static Eina_Error
__eolian_efl_ui_win_focus_highlight_animate_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_win_focus_highlight_animate_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_win_focus_highlight_animate_set, EFL_FUNC_CALL(animate), Eina_Bool animate);

Eina_Bool _efl_ui_win_focus_highlight_animate_get(const Eo *obj, Efl_Ui_Win_Data *pd);


static Eina_Value
__eolian_efl_ui_win_focus_highlight_animate_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_win_focus_highlight_animate_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_win_focus_highlight_animate_get, Eina_Bool, 0);

Efl_Object *_efl_ui_win_efl_object_constructor(Eo *obj, Efl_Ui_Win_Data *pd);


void _efl_ui_win_efl_object_destructor(Eo *obj, Efl_Ui_Win_Data *pd);


Efl_Object *_efl_ui_win_efl_object_provider_find(const Eo *obj, Efl_Ui_Win_Data *pd, const Efl_Class *klass);


Efl_Object *_efl_ui_win_efl_object_finalize(Eo *obj, Efl_Ui_Win_Data *pd);


void _efl_ui_win_efl_object_debug_name_override(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Strbuf *sb);


void _efl_ui_win_efl_gfx_entity_visible_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool v);


void _efl_ui_win_efl_gfx_entity_position_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Position2D pos);


void _efl_ui_win_efl_gfx_entity_size_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Size2D size);


void _efl_ui_win_efl_gfx_stack_raise_to_top(Eo *obj, Efl_Ui_Win_Data *pd);


void _efl_ui_win_efl_gfx_stack_lower_to_bottom(Eo *obj, Efl_Ui_Win_Data *pd);


Eina_Error _efl_ui_win_efl_ui_widget_theme_apply(Eo *obj, Efl_Ui_Win_Data *pd);


Eina_Bool _efl_ui_win_efl_ui_focus_object_focus_get(const Eo *obj, Efl_Ui_Win_Data *pd);


Eina_Bool _efl_ui_win_efl_ui_focus_object_on_focus_update(Eo *obj, Efl_Ui_Win_Data *pd);


Eina_Bool _efl_ui_win_efl_ui_widget_widget_input_event_handler(Eo *obj, Efl_Ui_Win_Data *pd, const Efl_Event *eo_event, Efl_Canvas_Object *source);


Efl_Ui_Focus_Manager *_efl_ui_win_efl_ui_widget_focus_manager_focus_manager_create(Eo *obj, Efl_Ui_Win_Data *pd, Efl_Ui_Focus_Object *root);


Efl_Access_State_Set _efl_ui_win_efl_access_object_state_set_get(const Eo *obj, Efl_Ui_Win_Data *pd);


const char *_efl_ui_win_efl_access_object_i18n_name_get(const Eo *obj, Efl_Ui_Win_Data *pd);


Eina_Rect _efl_ui_win_efl_access_component_extents_get(const Eo *obj, Efl_Ui_Win_Data *pd, Eina_Bool screen_coords);


const Efl_Access_Action_Data *_efl_ui_win_efl_access_widget_action_elm_actions_get(const Eo *obj, Efl_Ui_Win_Data *pd);


Eina_Bool _efl_ui_win_efl_input_state_modifier_enabled_get(const Eo *obj, Efl_Ui_Win_Data *pd, Efl_Input_Modifier mod, const Efl_Input_Device *seat);


Eina_Bool _efl_ui_win_efl_input_state_lock_enabled_get(const Eo *obj, Efl_Ui_Win_Data *pd, Efl_Input_Lock lock, const Efl_Input_Device *seat);


void _efl_ui_win_efl_screen_screen_dpi_get(const Eo *obj, Efl_Ui_Win_Data *pd, int *xdpi, int *ydpi);


int _efl_ui_win_efl_screen_screen_rotation_get(const Eo *obj, Efl_Ui_Win_Data *pd);


Eina_Size2D _efl_ui_win_efl_screen_screen_size_in_pixels_get(const Eo *obj, Efl_Ui_Win_Data *pd);


float _efl_ui_win_efl_screen_screen_scale_factor_get(const Eo *obj, Efl_Ui_Win_Data *pd);


void _efl_ui_win_efl_gfx_hint_hint_aspect_set(Eo *obj, Efl_Ui_Win_Data *pd, Efl_Gfx_Hint_Aspect mode, Eina_Size2D sz);


void _efl_ui_win_efl_gfx_hint_hint_weight_set(Eo *obj, Efl_Ui_Win_Data *pd, double x, double y);


void _efl_ui_win_efl_gfx_hint_hint_size_max_set(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Size2D sz);


void _efl_ui_win_efl_text_text_set(Eo *obj, Efl_Ui_Win_Data *pd, const char *text);


const char *_efl_ui_win_efl_text_text_get(const Eo *obj, Efl_Ui_Win_Data *pd);


void _efl_ui_win_efl_ui_l10n_l10n_text_set(Eo *obj, Efl_Ui_Win_Data *pd, const char *label, const char *domain);


const char *_efl_ui_win_efl_ui_l10n_l10n_text_get(const Eo *obj, Efl_Ui_Win_Data *pd, const char **domain);


void _efl_ui_win_efl_ui_i18n_language_set(Eo *obj, Efl_Ui_Win_Data *pd, const char *language);


const char *_efl_ui_win_efl_ui_i18n_language_get(const Eo *obj, Efl_Ui_Win_Data *pd);


Efl_Input_Device *_efl_ui_win_efl_canvas_scene_seat_default_get(const Eo *obj, Efl_Ui_Win_Data *pd);


Eina_Bool _efl_ui_win_efl_canvas_scene_pointer_position_get(const Eo *obj, Efl_Ui_Win_Data *pd, Efl_Input_Device *seat, Eina_Position2D *pos);


Eina_Bool _efl_ui_win_efl_canvas_pointer_pointer_inside_get(const Eo *obj, Efl_Ui_Win_Data *pd, Efl_Input_Device *seat);


Eina_Bool _efl_ui_win_efl_canvas_scene_image_max_size_get(const Eo *obj, Efl_Ui_Win_Data *pd, Eina_Size2D *max);


void _efl_ui_win_efl_canvas_scene_group_objects_calculate(Eo *obj, Efl_Ui_Win_Data *pd);


Eina_Bool _efl_ui_win_efl_canvas_scene_group_objects_calculating_get(const Eo *obj, Efl_Ui_Win_Data *pd);


Eina_Iterator *_efl_ui_win_efl_canvas_scene_objects_at_xy_get(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Position2D pos, Eina_Bool include_pass_events_objects, Eina_Bool include_hidden_objects);


Efl_Gfx_Entity *_efl_ui_win_efl_canvas_scene_object_top_at_xy_get(const Eo *obj, Efl_Ui_Win_Data *pd, Eina_Position2D pos, Eina_Bool include_pass_events_objects, Eina_Bool include_hidden_objects);


Eina_Iterator *_efl_ui_win_efl_canvas_scene_objects_in_rectangle_get(Eo *obj, Efl_Ui_Win_Data *pd, Eina_Rect rect, Eina_Bool include_pass_events_objects, Eina_Bool include_hidden_objects);


Efl_Gfx_Entity *_efl_ui_win_efl_canvas_scene_object_top_in_rectangle_get(const Eo *obj, Efl_Ui_Win_Data *pd, Eina_Rect rect, Eina_Bool include_pass_events_objects, Eina_Bool include_hidden_objects);


Efl_Input_Device *_efl_ui_win_efl_canvas_scene_device_get(const Eo *obj, Efl_Ui_Win_Data *pd, const char *name);


Efl_Input_Device *_efl_ui_win_efl_canvas_scene_seat_get(const Eo *obj, Efl_Ui_Win_Data *pd, int id);


Eina_Bool _efl_ui_win_efl_content_content_set(Eo *obj, Efl_Ui_Win_Data *pd, Efl_Gfx_Entity *content);


Efl_Gfx_Entity *_efl_ui_win_efl_content_content_get(const Eo *obj, Efl_Ui_Win_Data *pd);


Efl_Gfx_Entity *_efl_ui_win_efl_content_content_unset(Eo *obj, Efl_Ui_Win_Data *pd);


Efl_Object *_efl_ui_win_efl_part_part_get(const Eo *obj, Efl_Ui_Win_Data *pd, const char *name);


static Eina_Bool
_efl_ui_win_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_WIN_EXTRA_OPS
#define EFL_UI_WIN_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_win_indicator_mode_set, _efl_ui_win_indicator_mode_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_indicator_mode_get, _efl_ui_win_indicator_mode_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_keyboard_mode_set, _efl_ui_win_keyboard_mode_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_keyboard_mode_get, _efl_ui_win_keyboard_mode_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_wm_available_rotations_set, _efl_ui_win_wm_available_rotations_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_wm_available_rotations_get, _efl_ui_win_wm_available_rotations_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_wm_available_profiles_set, _efl_ui_win_wm_available_profiles_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_wm_available_profiles_get, _efl_ui_win_wm_available_profiles_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_screen_constrain_set, _efl_ui_win_screen_constrain_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_screen_constrain_get, _efl_ui_win_screen_constrain_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_prop_focus_skip_set, _efl_ui_win_prop_focus_skip_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_autohide_set, _efl_ui_win_autohide_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_autohide_get, _efl_ui_win_autohide_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_exit_on_close_set, _efl_ui_win_exit_on_close_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_exit_on_close_get, _efl_ui_win_exit_on_close_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_icon_object_set, _efl_ui_win_icon_object_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_icon_object_get, _efl_ui_win_icon_object_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_minimized_set, _efl_ui_win_minimized_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_minimized_get, _efl_ui_win_minimized_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_maximized_set, _efl_ui_win_maximized_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_maximized_get, _efl_ui_win_maximized_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_fullscreen_set, _efl_ui_win_fullscreen_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_fullscreen_get, _efl_ui_win_fullscreen_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_sticky_set, _efl_ui_win_sticky_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_sticky_get, _efl_ui_win_sticky_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_urgent_set, _efl_ui_win_urgent_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_urgent_get, _efl_ui_win_urgent_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_modal_set, _efl_ui_win_modal_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_modal_get, _efl_ui_win_modal_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_borderless_set, _efl_ui_win_borderless_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_borderless_get, _efl_ui_win_borderless_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_role_set, _efl_ui_win_win_role_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_role_get, _efl_ui_win_win_role_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_name_set, _efl_ui_win_win_name_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_name_get, _efl_ui_win_win_name_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_type_set, _efl_ui_win_win_type_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_type_get, _efl_ui_win_win_type_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_accel_preference_set, _efl_ui_win_accel_preference_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_accel_preference_get, _efl_ui_win_accel_preference_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_alpha_set, _efl_ui_win_alpha_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_alpha_get, _efl_ui_win_alpha_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_stack_id_get, _efl_ui_win_stack_id_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_stack_master_id_set, _efl_ui_win_stack_master_id_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_stack_master_id_get, _efl_ui_win_stack_master_id_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_stack_base_set, _efl_ui_win_stack_base_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_stack_base_get, _efl_ui_win_stack_base_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_stack_pop_to, _efl_ui_win_stack_pop_to),
      EFL_OBJECT_OP_FUNC(efl_ui_win_activate, _efl_ui_win_activate),
      EFL_OBJECT_OP_FUNC(efl_ui_win_center, _efl_ui_win_center),
      EFL_OBJECT_OP_FUNC(efl_ui_win_move_resize_start, _efl_ui_win_move_resize_start),
      EFL_OBJECT_OP_FUNC(efl_ui_win_hint_base_set, _efl_ui_win_hint_base_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_hint_base_get, _efl_ui_win_hint_base_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_hint_step_set, _efl_ui_win_hint_step_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_hint_step_get, _efl_ui_win_hint_step_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_pointer_iterate, _efl_ui_win_pointer_iterate),
      EFL_OBJECT_OP_FUNC(efl_ui_win_rotation_set, _efl_ui_win_win_rotation_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_rotation_get, _efl_ui_win_win_rotation_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_focus_highlight_enabled_set, _efl_ui_win_focus_highlight_enabled_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_focus_highlight_enabled_get, _efl_ui_win_focus_highlight_enabled_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_focus_highlight_style_set, _efl_ui_win_focus_highlight_style_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_focus_highlight_style_get, _efl_ui_win_focus_highlight_style_get),
      EFL_OBJECT_OP_FUNC(efl_ui_win_focus_highlight_animate_set, _efl_ui_win_focus_highlight_animate_set),
      EFL_OBJECT_OP_FUNC(efl_ui_win_focus_highlight_animate_get, _efl_ui_win_focus_highlight_animate_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_win_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_win_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_provider_find, _efl_ui_win_efl_object_provider_find),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_ui_win_efl_object_finalize),
      EFL_OBJECT_OP_FUNC(efl_debug_name_override, _efl_ui_win_efl_object_debug_name_override),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_set, _efl_ui_win_efl_gfx_entity_visible_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_set, _efl_ui_win_efl_gfx_entity_position_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_set, _efl_ui_win_efl_gfx_entity_size_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_raise_to_top, _efl_ui_win_efl_gfx_stack_raise_to_top),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_lower_to_bottom, _efl_ui_win_efl_gfx_stack_lower_to_bottom),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_theme_apply, _efl_ui_win_efl_ui_widget_theme_apply),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_object_focus_get, _efl_ui_win_efl_ui_focus_object_focus_get),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_object_on_focus_update, _efl_ui_win_efl_ui_focus_object_on_focus_update),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_input_event_handler, _efl_ui_win_efl_ui_widget_widget_input_event_handler),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_focus_manager_create, _efl_ui_win_efl_ui_widget_focus_manager_focus_manager_create),
      EFL_OBJECT_OP_FUNC(efl_access_object_state_set_get, _efl_ui_win_efl_access_object_state_set_get),
      EFL_OBJECT_OP_FUNC(efl_access_object_i18n_name_get, _efl_ui_win_efl_access_object_i18n_name_get),
      EFL_OBJECT_OP_FUNC(efl_access_component_extents_get, _efl_ui_win_efl_access_component_extents_get),
      EFL_OBJECT_OP_FUNC(efl_access_widget_action_elm_actions_get, _efl_ui_win_efl_access_widget_action_elm_actions_get),
      EFL_OBJECT_OP_FUNC(efl_input_modifier_enabled_get, _efl_ui_win_efl_input_state_modifier_enabled_get),
      EFL_OBJECT_OP_FUNC(efl_input_lock_enabled_get, _efl_ui_win_efl_input_state_lock_enabled_get),
      EFL_OBJECT_OP_FUNC(efl_screen_dpi_get, _efl_ui_win_efl_screen_screen_dpi_get),
      EFL_OBJECT_OP_FUNC(efl_screen_rotation_get, _efl_ui_win_efl_screen_screen_rotation_get),
      EFL_OBJECT_OP_FUNC(efl_screen_size_in_pixels_get, _efl_ui_win_efl_screen_screen_size_in_pixels_get),
      EFL_OBJECT_OP_FUNC(efl_screen_scale_factor_get, _efl_ui_win_efl_screen_screen_scale_factor_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_aspect_set, _efl_ui_win_efl_gfx_hint_hint_aspect_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_weight_set, _efl_ui_win_efl_gfx_hint_hint_weight_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_hint_size_max_set, _efl_ui_win_efl_gfx_hint_hint_size_max_set),
      EFL_OBJECT_OP_FUNC(efl_text_set, _efl_ui_win_efl_text_text_set),
      EFL_OBJECT_OP_FUNC(efl_text_get, _efl_ui_win_efl_text_text_get),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_set, _efl_ui_win_efl_ui_l10n_l10n_text_set),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_get, _efl_ui_win_efl_ui_l10n_l10n_text_get),
      EFL_OBJECT_OP_FUNC(efl_ui_language_set, _efl_ui_win_efl_ui_i18n_language_set),
      EFL_OBJECT_OP_FUNC(efl_ui_language_get, _efl_ui_win_efl_ui_i18n_language_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_scene_seat_default_get, _efl_ui_win_efl_canvas_scene_seat_default_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_scene_pointer_position_get, _efl_ui_win_efl_canvas_scene_pointer_position_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_pointer_inside_get, _efl_ui_win_efl_canvas_pointer_pointer_inside_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_scene_image_max_size_get, _efl_ui_win_efl_canvas_scene_image_max_size_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_scene_group_objects_calculate, _efl_ui_win_efl_canvas_scene_group_objects_calculate),
      EFL_OBJECT_OP_FUNC(efl_canvas_scene_group_objects_calculating_get, _efl_ui_win_efl_canvas_scene_group_objects_calculating_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_scene_objects_at_xy_get, _efl_ui_win_efl_canvas_scene_objects_at_xy_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_scene_object_top_at_xy_get, _efl_ui_win_efl_canvas_scene_object_top_at_xy_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_scene_objects_in_rectangle_get, _efl_ui_win_efl_canvas_scene_objects_in_rectangle_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_scene_object_top_in_rectangle_get, _efl_ui_win_efl_canvas_scene_object_top_in_rectangle_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_scene_device_get, _efl_ui_win_efl_canvas_scene_device_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_scene_seat_get, _efl_ui_win_efl_canvas_scene_seat_get),
      EFL_OBJECT_OP_FUNC(efl_content_set, _efl_ui_win_efl_content_content_set),
      EFL_OBJECT_OP_FUNC(efl_content_get, _efl_ui_win_efl_content_content_get),
      EFL_OBJECT_OP_FUNC(efl_content_unset, _efl_ui_win_efl_content_content_unset),
      EFL_OBJECT_OP_FUNC(efl_part_get, _efl_ui_win_efl_part_part_get),
      EFL_UI_WIN_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"screen_constrain", __eolian_efl_ui_win_screen_constrain_set_reflect, __eolian_efl_ui_win_screen_constrain_get_reflect},
      {"prop_focus_skip", __eolian_efl_ui_win_prop_focus_skip_set_reflect, NULL},
      {"autohide", __eolian_efl_ui_win_autohide_set_reflect, __eolian_efl_ui_win_autohide_get_reflect},
      {"minimized", __eolian_efl_ui_win_minimized_set_reflect, __eolian_efl_ui_win_minimized_get_reflect},
      {"maximized", __eolian_efl_ui_win_maximized_set_reflect, __eolian_efl_ui_win_maximized_get_reflect},
      {"fullscreen", __eolian_efl_ui_win_fullscreen_set_reflect, __eolian_efl_ui_win_fullscreen_get_reflect},
      {"sticky", __eolian_efl_ui_win_sticky_set_reflect, __eolian_efl_ui_win_sticky_get_reflect},
      {"borderless", __eolian_efl_ui_win_borderless_set_reflect, __eolian_efl_ui_win_borderless_get_reflect},
      {"win_role", __eolian_efl_ui_win_win_role_set_reflect, __eolian_efl_ui_win_win_role_get_reflect},
      {"win_name", __eolian_efl_ui_win_win_name_set_reflect, __eolian_efl_ui_win_win_name_get_reflect},
      {"accel_preference", __eolian_efl_ui_win_accel_preference_set_reflect, __eolian_efl_ui_win_accel_preference_get_reflect},
      {"alpha", __eolian_efl_ui_win_alpha_set_reflect, __eolian_efl_ui_win_alpha_get_reflect},
      {"stack_id", NULL, __eolian_efl_ui_win_stack_id_get_reflect},
      {"stack_master_id", __eolian_efl_ui_win_stack_master_id_set_reflect, __eolian_efl_ui_win_stack_master_id_get_reflect},
      {"stack_base", __eolian_efl_ui_win_stack_base_set_reflect, __eolian_efl_ui_win_stack_base_get_reflect},
      {"win_rotation", __eolian_efl_ui_win_win_rotation_set_reflect, __eolian_efl_ui_win_win_rotation_get_reflect},
      {"focus_highlight_enabled", __eolian_efl_ui_win_focus_highlight_enabled_set_reflect, __eolian_efl_ui_win_focus_highlight_enabled_get_reflect},
      {"focus_highlight_style", __eolian_efl_ui_win_focus_highlight_style_set_reflect, __eolian_efl_ui_win_focus_highlight_style_get_reflect},
      {"focus_highlight_animate", __eolian_efl_ui_win_focus_highlight_animate_set_reflect, __eolian_efl_ui_win_focus_highlight_animate_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_win_class_desc = {
   EO_VERSION,
   "Efl.Ui.Win",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Win_Data),
   _efl_ui_win_class_initializer,
   _efl_ui_win_class_constructor,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_win_class_get, &_efl_ui_win_class_desc, EFL_UI_WIDGET_CLASS, EFL_CANVAS_SCENE_INTERFACE, EFL_ACCESS_WINDOW_INTERFACE, EFL_ACCESS_COMPONENT_MIXIN, EFL_ACCESS_WIDGET_ACTION_MIXIN, EFL_CONTENT_INTERFACE, EFL_INPUT_STATE_INTERFACE, EFL_INPUT_INTERFACE_INTERFACE, EFL_SCREEN_INTERFACE, EFL_TEXT_INTERFACE, EFL_UI_WIDGET_FOCUS_MANAGER_MIXIN, EFL_UI_FOCUS_MANAGER_WINDOW_ROOT_INTERFACE, EFL_CONFIG_INTERFACE, NULL);
